Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.awt
Class Container

Method Summary
`void` | `clear()` Removes all components from the Container.
`Component` | `getAt(int index)` Support the subscript operator for Container.
`Iterator` | `iterator()` Returns an Iterator which traverses the Container one Component at a time.
`Container` | `leftShift(Component c)` Overloads the left shift operator to provide an easy way to add components to a Container.
`int` | `size()` Provide the standard Groovy `size()` method for `Container`.

Method Detail

### clear

    public void clear()

  Removes all components from the Container.

Since:
  1.6.4

### getAt

    public Component getAt(int index)

  Support the subscript operator for Container.

Parameters:
  `index` - the index of the Component to get.

Returns:
  the component at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the Container one Component at a time.

Returns:
  an Iterator for a Container

Since:
  1.6.4

### leftShift

    public Container leftShift(Component c)

  Overloads the left shift operator to provide an easy way to add components to a Container.

Parameters:
  `c` - a Component to be added to the container..

Returns:
  same container, after the value was added to it.

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `Container`.

Returns:
  the component count of the container

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK